summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2023-01-25 10:51:14 +0100
committerRemi Collet <remi@php.net>2023-01-25 10:51:14 +0100
commitfd10ef9380b86dac024da7aadda127139d96b63d (patch)
treec097dcd89fb0cb2c662a507a1a98160bc2ba7ffb
parenteb1b7a9b3645f5704644230f7f706680c663c28e (diff)
update to 4.5.3HEADmaster
low dependency on PHP 7.1 low dependency on sabre/xml v2
-rw-r--r--composer.json13
-rw-r--r--php-sabre-vobject4-bin.patch20
-rw-r--r--php-sabre-vobject4.spec37
3 files changed, 37 insertions, 33 deletions
diff --git a/composer.json b/composer.json
index 3816d54..b08684b 100644
--- a/composer.json
+++ b/composer.json
@@ -32,16 +32,15 @@
"homepage" : "http://sabre.io/vobject/",
"license" : "BSD-3-Clause",
"require" : {
- "php" : "^7.4 || ^8.0",
+ "php" : "^7.1 || ^8.0",
"ext-mbstring" : "*",
- "ext-json" : "*",
- "sabre/xml" : "^3.0 || ^4.0"
+ "sabre/xml" : "^2.1 || ^3.0 || ^4.0"
},
"require-dev" : {
- "friendsofphp/php-cs-fixer": "^3.10.0",
- "phpunit/phpunit" : "^9.0",
+ "friendsofphp/php-cs-fixer": "~2.17.1",
+ "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.0",
"phpunit/php-invoker" : "^2.0 || ^3.1",
- "phpstan/phpstan": "^1.8"
+ "phpstan/phpstan": "^0.12"
},
"suggest" : {
"hoa/bench" : "If you would like to run the benchmark scripts"
@@ -91,7 +90,7 @@
},
"scripts": {
"phpstan": [
- "phpstan analyse lib tests --memory-limit 1G"
+ "phpstan analyse lib tests"
],
"cs-fixer": [
"php-cs-fixer fix"
diff --git a/php-sabre-vobject4-bin.patch b/php-sabre-vobject4-bin.patch
index fb6e219..1a6b2ac 100644
--- a/php-sabre-vobject4-bin.patch
+++ b/php-sabre-vobject4-bin.patch
@@ -1,9 +1,9 @@
diff -up ./bin/generate_vcards.rpm ./bin/generate_vcards
---- ./bin/generate_vcards.rpm 2023-01-20 16:04:01.000000000 +0100
-+++ ./bin/generate_vcards 2023-01-20 16:38:01.726680132 +0100
+--- ./bin/generate_vcards.rpm 2020-01-31 19:50:58.000000000 +0100
++++ ./bin/generate_vcards 2020-02-01 07:56:20.162307853 +0100
@@ -6,8 +6,7 @@ namespace Sabre\VObject;
- // This sucks. we have to try to find the composer autoloader. But chances
- // are, we can't find it this way. So we'll do our best.
+ // This sucks.. we have to try to find the composer autoloader. But chances
+ // are, we can't find it this way. So we'll do our bestest
$paths = [
- __DIR__ . '/../vendor/autoload.php', // In case vobject is cloned directly
- __DIR__ . '/../../../autoload.php', // In case vobject is a composer dependency.
@@ -21,11 +21,11 @@ diff -up ./bin/generate_vcards.rpm ./bin/generate_vcards
}
diff -up ./bin/vobject.rpm ./bin/vobject
---- ./bin/vobject.rpm 2023-01-20 16:04:01.000000000 +0100
-+++ ./bin/vobject 2023-01-20 16:38:22.388583223 +0100
+--- ./bin/vobject.rpm 2020-01-31 19:50:58.000000000 +0100
++++ ./bin/vobject 2020-02-01 07:56:20.162307853 +0100
@@ -6,8 +6,7 @@ namespace Sabre\VObject;
- // This sucks. We have to try to find the composer autoloader. But chances
- // are, we can't find it this way. So we'll do our best.
+ // This sucks.. we have to try to find the composer autoloader. But chances
+ // are, we can't find it this way. So we'll do our bestest
$paths = [
- __DIR__ . '/../vendor/autoload.php', // In case vobject is cloned directly
- __DIR__ . '/../../../autoload.php', // In case vobject is a composer dependency.
@@ -43,8 +43,8 @@ diff -up ./bin/vobject.rpm ./bin/vobject
}
diff -up ./tests/bootstrap.php.rpm ./tests/bootstrap.php
---- ./tests/bootstrap.php.rpm 2023-01-20 16:04:01.000000000 +0100
-+++ ./tests/bootstrap.php 2023-01-20 16:29:07.591185382 +0100
+--- ./tests/bootstrap.php.rpm 2020-01-31 19:50:58.000000000 +0100
++++ ./tests/bootstrap.php 2020-02-01 07:57:56.802761882 +0100
@@ -3,8 +3,7 @@
date_default_timezone_set('UTC');
diff --git a/php-sabre-vobject4.spec b/php-sabre-vobject4.spec
index 7aba02c..b55e32d 100644
--- a/php-sabre-vobject4.spec
+++ b/php-sabre-vobject4.spec
@@ -12,7 +12,7 @@
# For compatibility with SCL
%undefine __brp_mangle_shebangs
-%global gh_commit 5f6665f08b8c4c6b47a5cf94bf14f6f6bea30530
+%global gh_commit fe6d9183154ed6f2f913f2b568d3d51d8ae9b308
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner sabre-io
%global gh_project vobject
@@ -25,7 +25,7 @@
Name: php-sabre-vobject4
Summary: Library to parse and manipulate iCalendar and vCard objects
-Version: 4.5.2
+Version: 4.5.3
Release: 1%{?dist}
URL: http://sabre.io/vobject/
@@ -38,25 +38,25 @@ Patch0: %{name}-bin.patch
BuildArch: noarch
%if %{with tests}
-BuildRequires: php(language) >= 7.4
-BuildRequires: php-json
+BuildRequires: php(language) >= 7.1
BuildRequires: php-mbstring
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-composer(sabre/xml) >= 3.0 with php-composer(sabre/xml) < 5)
+BuildRequires: (php-composer(sabre/xml) >= 2.1 with php-composer(sabre/xml) < 5)
# remirepo:3
%else
-BuildRequires: php-sabre-xml4
+BuildRequires: php-sabre-xml2 >= 2.1
%endif
BuildRequires: php-date
+BuildRequires: php-json
BuildRequires: php-pcre
BuildRequires: php-spl
BuildRequires: php-xml
# From composer.json, "require-dev"
-# "friendsofphp/php-cs-fixer": "^3.10.0",
-# "phpunit/phpunit" : "^9.0",
+# "friendsofphp/php-cs-fixer": "^2.17.1",
+# "phpunit/phpunit" : "^7.5 || ^8.5 || ^9.0",
# "phpunit/php-invoker" : "^2.0 || ^3.1",
-# "phpstan/phpstan": "^1.8"
+# "phpstan/phpstan": "^0.12"
BuildRequires: phpunit9
%global phpunit %{_bindir}/phpunit9
%endif
@@ -64,26 +64,25 @@ BuildRequires: phpunit9
BuildRequires: php-fedora-autoloader-devel
# From composer.json, "require"
-# "php" : "^7.4 || ^8.0",
+# "php" : "^7.1 || ^8.0",
# "ext-mbstring" : "*",
-# "ext-json" : "*",
-# "sabre/xml" : "^3.0 || ^4.0"
-Requires: php(language) >= 7.4
-Requires: php-json
+# "sabre/xml" : "^2.1 || ^3.0 || ^4.0"
+Requires: php(language) >= 7.1
Requires: php-mbstring
#
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-composer(sabre/xml) >= 3.0 with php-composer(sabre/xml) < 5)
+Requires: (php-composer(sabre/xml) >= 2.1 with php-composer(sabre/xml) < 5)
# remirepo:3
%else
-Requires: php-sabre-xml4
+Requires: php-sabre-xml2 >= 2.1
%endif
# From phpcompatinfo report for version 4.1.2
%if %{with_cmd}
Requires: php-cli
%endif
Requires: php-date
+Requires: php-json
Requires: php-pcre
Requires: php-spl
Requires: php-xml
@@ -118,6 +117,7 @@ cat << 'EOF' | tee -a lib/autoload.php
[
'%{_datadir}/php/Sabre/Xml4/autoload.php',
'%{_datadir}/php/Sabre/Xml3/autoload.php',
+ '%{_datadir}/php/Sabre/Xml2/autoload.php',
],
]);
EOF
@@ -187,6 +187,11 @@ exit $ret
%endif
%changelog
+* Wed Jan 25 2023 Remi Collet <remi@remirepo.net> - 4.5.3-1
+- update to 4.5.3
+- low dependency on PHP 7.1
+- low dependency on sabre/xml v2
+
* Fri Jan 20 2023 Remi Collet <remi@remirepo.net> - 4.5.2-1
- update to 4.5.2
- raise dependency on PHP 7.4